LinkObject (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.util.LinkObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.util
Class LinkObject

    java.lang.Object
      org.apache.catalina.cluster.util.LinkObject

public class LinkObject
extends java.lang.Object

The class LinkObject implements an element for a linked list, consisting of a general data object and a pointer to the next element.

Version:
  $Id: LinkObject.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Rainer Jung, Peter Rossbach

Constructor Summary
`LinkObject(java.lang.String key, java.lang.Object payload)` Construct a new element from the data object.

Method Summary
`void` | `append(LinkObject next)` Set the next element.
`java.lang.Object` | `data()` Get the data object from the element.
`java.lang.Object` | `getKey()` Get the unique message id
`LinkObject` | `next()` Get the next element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkObject

    public LinkObject(java.lang.String key,
                      java.lang.Object payload)

  Construct a new element from the data object. Sets the pointer to null.

Parameters:
  `key` - The key
  `payload` - The data object.

Method Detail

### append

    public void append(LinkObject next)

  Set the next element.

  Parameters:
    `next` - The next element.

### next

    public LinkObject next()

  Get the next element.

  Returns:
    The next element.

### data

    public java.lang.Object data()

  Get the data object from the element.

  Returns:
    The data object from the element.

### getKey

    public java.lang.Object getKey()

  Get the unique message id

  Returns:
    the unique message id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.